Package org.apache.datasketches.quantilescommon

# Interface QuantilesGenericSketchIterator<T>

Type Parameters:
  `T` - The generic quantile type

All Superinterfaces:
  `QuantilesSketchIterator`

All Known Implementing Classes:
  `ItemsSketchIterator`, `KllItemsSketchIterator`

public interface QuantilesGenericSketchIterator<T> extends QuantilesSketchIterator
The quantiles sketch iterator for generic types.

Author:
  Lee Rhodes
See Also:
  - `QuantilesSketchIterator`

## Method Summary

Modifier and Type
Method
Description
`T`
`getQuantile()`
Gets the generic quantile at the current index.

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

## Method Details

### getQuantile

T getQuantile()
Gets the generic quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the generic quantile at the current index.